
const ToggleTypes = {
    Dropdown: "Dropdown",
    Toggle: "Toggle"
}

class Settings {
    /**
     * @param {String} displayName
     * @param {String} settingsType
     * @param {String} toggleType
     * @param {boolean} active
     * @param {function} availabilityTest
     * @param {function?} onChangeValue
     * @param {Boolean} onlyActive
     */
    constructor(displayName, settingsType, toggleType, active, availabilityTest, onChangeValue, onlyActive = false) {
        this.displayName = displayName;
        this.settingsType = settingsType;
        this.toggleType = toggleType;
        this.active = active;
        this.availabilityTest = availabilityTest;
        this.onChangeValue = onChangeValue;
        this.onlyActive = onlyActive;
    }
}

export { Settings, ToggleTypes };